# Site info
AUTHOR = 'Foxolab APS'
SITENAME = 'Foxolab'
SITEURL = "https://lab.foxo.me"

# Paths
PATH = "content"
PAGE_PATHS = ['page']
ARTICLE_PATHS = ['post']

# Assume every article/page has no category and is in italian
DEFAULT_METADATA = {
    'lang': 'it'
}

# Time and Language
TIMEZONE = 'Europe/Rome'

DEFAULT_LANG = 'it'
DEFAULT_DATE = 'fs'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Theme
THEME = 'foxotheme'
THEME_STATIC_DIR = ''
CSS_FILE = 'style.css'

# Menu items
MENUITEMS = (
    ("Homepage", "/"),
#    ("Net", "/net.html"),
#    ("Labs", "/labs/"),
#    ("Where", "/where.html"),

)

# Blogroll
LINKS = (
    ("Pelicaan", "https://getpelican.com/"),
    ("Python.org", "https://www.python.org/"),
    ("Jinja2", "https://palletsprojects.com/p/jinja/"),
    ("You can modify those links in your config file", "#"),
)

# Social widget
SOCIAL = (
    ("You can add links in your config file", "#"),
    ("Another social link", "#"),
)

SLUGIFY_SOURCE = 'basename'

DEFAULT_PAGINATION = False

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

ARTICLE_SAVE_AS = 'post/{slug}.html'
ARTICLE_URL = 'post/{slug}.html'

PAGE_SAVE_AS = '{slug}.html'
PAGE_URL = '{slug}.html'

INDEX_SAVE_AS = ''
